<?php

namespace App\Entity;

use App\Repository\BeerRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=BeerRepository::class)
 */
class Beer
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $name;

    /**
     * @ORM\Column(type="float", nullable=true)
     */
    private $alcool;
    
    /**
     * @ORM\Column(type="text", length=2048, nullable=true)
     */
    private $description;
    
    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }
    
    /**
     * @return null|string
     */
    public function getName(): ?string
    {
        return $this->name;
    }
    
    /**
     * @param string $name
     * @return Beer
     */
    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }
    
    /**
     * @return float|null
     */
    public function getAlcool(): ?float
    {
        return $this->alcool;
    }
    
    /**
     * @param float|null $alcool
     * @return Beer
     */
    public function setAlcool(?float $alcool): self
    {
        $this->alcool = $alcool;

        return $this;
    }
    
    /**
     * @return mixed
     */
    public function getDescription(): ?string
    {
        return $this->description;
    }
    
    /**
     * @param mixed $description
     * @return Beer
     */
    public function setDescription(?string $description): self
    {
        $this->description = $description;
        return $this;
    }
}
